package Text::Swear;
use Exporter;
@ISA = qw(Exporter);
@EXPORT = qw(checkSwear);
use strict;
use vars qw(@ISA @EXPORT $VERSION @badwords);

$VERSION = "0.01";

@badwords = (
"(?:f|ph)[u]+[c]?k",
"(?:f|ph)[o0][o0]+k",
"[ck][u]+nt",
"sh[il1]t",
"[^blmprstaeiouy]ass",
"whore",
"yoma[m]+a",
"h[o0]+k[e3]r",
"p[e3]n[il1]s",
"vag[il1]na",
"m[o0]r[o0]n",
"damn",
"(?:ph|f)art",
"m[o0](?:f|ph)[o0]",
"s[e3](?:x|ck|ks|kz)",
"sh[il1][m]+a[t]+a",
"l[il1](?:ck|kk)[e3]r",
"b[il1]tch",
"n[il1]gg[e3]r",
"(?:f|ph)ag",
"p[e3][ck]+[e3]r",
"pussy",
"s[l1]ut",
"bastard",
"mutha",
"turd",
"c[o0]ck",
"t[il1]ts",
"ana[l1]",
"h[e3]ll",
"d[il1]ck",
"su[ck]+[e3]r",
"bar(?:f|ph)",
"s[ck]r[o0]tum",
"c[l1][il1]t",
"p[il1]s[s]+",
);

sub checkSwear {
   my ($string) = pop (@_);

   foreach my $i (@badwords) {
      return 1 if $string =~ /$i/i ;
   }
   return 0;
}
